aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2013-12-03 15:05:15 +0100
committerJustin Lecher <jlec@gentoo.org>2013-12-03 15:05:15 +0100
commitd785076fdcffe8e022825cad29716c5cdb775ef5 (patch)
tree0273390bbedef595b0988499f59f72d8d20a3dcd /sci-misc
parentsci-misc/elmer-meshgen2d: Bump EAPI; fix DESCRIPTION; drop keywords from live... (diff)
downloadsci-d785076fdcffe8e022825cad29716c5cdb775ef5.tar.gz
sci-d785076fdcffe8e022825cad29716c5cdb775ef5.tar.bz2
sci-d785076fdcffe8e022825cad29716c5cdb775ef5.zip
sci-misc/elmer-gui: Bump EAPI; fix DESCRIPTION; drop keywords from live ebuild; fix whitespacing
Package-Manager: portage-2.2.7 RepoMan-Options: --force
Diffstat (limited to 'sci-misc')
-rw-r--r--sci-misc/elmer-gui/ChangeLog8
-rw-r--r--sci-misc/elmer-gui/elmer-gui-9999.ebuild68
-rw-r--r--sci-misc/elmer-gui/metadata.xml15
3 files changed, 42 insertions, 49 deletions
diff --git a/sci-misc/elmer-gui/ChangeLog b/sci-misc/elmer-gui/ChangeLog
new file mode 100644
index 000000000..33555f3b9
--- /dev/null
+++ b/sci-misc/elmer-gui/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for sci-misc/elmer-gui
+# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 03 Dec 2013; Justin Lecher <jlec@gentoo.org> elmer-gui-9999.ebuild,
+ metadata.xml:
+ Bump EAPI; fix DESCRIPTION; drop keywords from live ebuild; fix whitespacing
+
diff --git a/sci-misc/elmer-gui/elmer-gui-9999.ebuild b/sci-misc/elmer-gui/elmer-gui-9999.ebuild
index 78ebce6a1..698fecd51 100644
--- a/sci-misc/elmer-gui/elmer-gui-9999.ebuild
+++ b/sci-misc/elmer-gui/elmer-gui-9999.ebuild
@@ -1,55 +1,53 @@
-# Copyright 1999-2007 Gentoo Foundation
+# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI="4"
+EAPI=5
-inherit autotools eutils qt4-r2 subversion python versionator
+PYTHON_COMPAT=( python{2_6,2_7} )
+
+inherit autotools eutils qt4-r2 subversion python-single-r1 versionator
ELMER_ROOT="elmerfem"
MY_PN=ElmerGUI
DESCRIPTION="Elmer is a collection of finite element programs, libraries, and visualization tools, New Elmer pre-processor"
HOMEPAGE="http://www.csc.fi/english/pages/elmer"
-#SRC_URI="http://elmerfem.svn.sourceforge.net/viewvc/${ELMER_ROOT}/release/${PV}/${MY_PN}/?view=tar -> ${P}.tar.gz"
SRC_URI=""
-RESTRICT="mirror"
ESVN_REPO_URI="https://elmerfem.svn.sourceforge.net/svnroot/elmerfem/trunk/${MY_PN}"
ESVN_PROJECT="${MY_PN}"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
-IUSE="debug bundled_netgen matc opencascade python qwt vtk"
+KEYWORDS=""
+IUSE="debug +bundled_netgen matc opencascade python qwt vtk"
REQUIRED_USE="opencascade? ( vtk )"
-DEPEND="=sci-libs/elmer-eio-${PV}
- !bundled_netgen? ( sci-mathematics/netgen )
- virtual/glu
- || ( =sci-misc/elmer-post-${PV}
- >=sci-libs/vtk-5.0.0[qt4,python?]
- )
- matc? ( =sci-libs/matc-${PV} )
- vtk? ( >=sci-libs/vtk-5.0.0[qt4,python?] )
- opencascade? ( >=sci-libs/opencascade-6.3 )
- python? ( <=dev-python/pythonqt-1.1 )
- qwt? ( x11-libs/qwt:5 )
- || ( >=x11-libs/qt-core-4.3:4
- ( x11-libs/qt-core:5
- x11-libs/qt-xml:5
- )
+DEPEND="
+ ~sci-libs/elmer-eio-${PV}
+ !bundled_netgen? ( sci-mathematics/netgen )
+ virtual/glu
+ || (
+ ~sci-misc/elmer-post-${PV}
+ >=sci-libs/vtk-5.0.0[qt4,python?]
)
- >=x11-libs/qt-opengl-4.3
- >=x11-libs/qt-script-4.3"
+ matc? ( ~sci-libs/matc-${PV} )
+ vtk? ( >=sci-libs/vtk-5.0.0[qt4,python?] )
+ opencascade? ( >=sci-libs/opencascade-6.3 )
+ python? ( dev-python/pythonqt )
+ qwt? ( x11-libs/qwt:5 )
+ >=dev-qt/qtcore-4.3:4
+ >=x11-libs/qt-opengl-4.3:4
+ >=x11-libs/qt-script-4.3:4"
RDEPEND="${DEPEND}"
src_prepare() {
# Do not build bundled matc and PythonQt
- sed -i \
+ sed \
-e 's/matc//' \
-e 's/PythonQt//' \
- ${MY_PN}.pro || die
+ -i ${MY_PN}.pro || die
# Ideally we would avoid buildling thirdparty code
# and use a separate package but this currently fails
@@ -58,19 +56,19 @@ src_prepare() {
# sci-mathematics/netgen
if use !bundled_netgen; then
sed -i 's/netgen//' ${MY_PN}.pro || die
- sed -i \
- -e "s:INCLUDEPATH += ../netgen/libsrc/interface:INCLUDEPATH += ${EPREFIX}/usr/include:g" \
- -e "s:LIBPATH += ../netgen/ngcore:LIBPATH += ${EPREFIX}/usr/$(get_libdir):g" \
- -e "s:LIBS += -lng:LIBS += -lnglib:g" \
- Application/Application.pro || die
+ sed \
+ -e "s:INCLUDEPATH += ../netgen/libsrc/interface:INCLUDEPATH += ${EPREFIX}/usr/include:g" \
+ -e "s:LIBPATH += ../netgen/ngcore:LIBPATH += ${EPREFIX}/usr/$(get_libdir):g" \
+ -e "s:LIBS += -lng:LIBS += -lnglib:g" \
+ -i Application/Application.pro || die
- eerror "${PN} currently fails to build against sci-mathematics/netgen."
+ eerror "${PN} currently fails to build against sci-mathematics/netgen."
fi
# Fix install path
- sed -i \
- -e 's|unix: ELMER_HOME = /usr/local|unix: ELMER_HOME = /usr|g' \
- ${MY_PN}.pri || die
+ sed \
+ -e 's|unix: ELMER_HOME = /usr/local|unix: ELMER_HOME = /usr|g' \
+ -i ${MY_PN}.pri || die
if use amd64; then
sed -i 's/32/64/' ${MY_PN}.pri || die
diff --git a/sci-misc/elmer-gui/metadata.xml b/sci-misc/elmer-gui/metadata.xml
index 0a4f88ac7..897aa2e6b 100644
--- a/sci-misc/elmer-gui/metadata.xml
+++ b/sci-misc/elmer-gui/metadata.xml
@@ -1,18 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <upstream>
- <bugs-to>mailto:chr.paccolat@mycable.ch</bugs-to>
- <changelog></changelog>
- <doc>http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?part=3</doc>
- </upstream>
- <maintainer><email>chr.paccolat@mycable.ch</email></maintainer>
- <use>
- <flag name="matc">Add support to evaluate mathematical expression in input files / postprocessor </flag>
- <flag name="opencascade">Use OpenCASCADE to import CAD files</flag>
- <flag name="python">Add support for python scripting in the pre-processor</flag>
- <flag name="qwt">Pull-in QWT to enable the convergence monitor</flag>
- <flag name="vtk">Add support for the VTK post-processor backend (visualization)</flag>
- </use>
+ <herd>sci</herd>
</pkgmetadata>
-